Get an RBS volume

GET/v1/remote_block_storage/volumes/{volume_id}

To get details of a specific RBS volume, use a GET request to /v1/remote_block_storage/volumes/{volume_id}. Select a volume by specifying its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

volume_id*string

A unique identifier of an RBS volume. Use this request to list all volume IDs.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/remote_block_storage/volumes/olejRejN"
{  "id": "olejRejN",  "name": "name164",  "size": 100,  "status": "active",  "location_id": 191,  "location_code": "AMS191",  "flavor_id": 476,  "flavor_name": "RBS Flavor name162",  "iops": 79954,  "bandwidth": 60700,  "labels": {},  "ip_address": null,  "target_iqn": null,  "created_at": "2026-05-28T06:56:23.598Z",  "updated_at": "2026-05-28T06:56:23.598Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}